/* ======= Root CSS ========= */
:root{
    --header-height: 3rem;
/* ======= font weight CSS ========= */
    --font-medium: 500;
    --font-bold: 600;
    --font-bolder: 700;

/* ======= Colors CSS ========= */
    --dark-color: #35342c;
    --dark-color-light: #0a0a0a;
    --dark-color-lighten: #e7e1c3;
    --white-color: #fff;

/* ======= Font and typography CSS ========= */
    --body-fonts: consolas sans-serif;
    --big-font-size: 1.25rem;
    --bigger-font-size: 1.5rem;
    --bigest-font-size: 2rem;
    --h2-font-size: 1.25rem;
    --normal-font-size: 0.937rem;
    --smaller-font-size: 0.813rem;

/* ======= Margins CSS ========= */
    --mb-1: 0.5rem;
    --mb-2: 1rem;
    --mb-3: 1.5rem;
    --mb-4: 2rem;
    --mb-5: 2.5rem;
    --mb-6: 3rem;

/* ======= Z-index CSS ========= */
    --z-fixed: 100;

/* ======= Rotate img CSS ========= */
    --rotate-img: rotate(-30deg);
}

@media screen and (min-width: 768px){
    :root{
        --big-font-size: 1.5rem;
        --bigger-font-size: 2rem;
        --bigest-font-size: 3rem;
        --normal-font-size: 1rem;
        --smaller-font-size: 0.875rem;
    }
}

/* =======  BASE ========= */
*,::before,::after{
    box-sizing: border-box;
}

html{
    scroll-behavior: smooth;
}

body{
    margin: var(--header-height) 0 0 0;
    font-family: Arial, Helvetica, sans-serif;
    font-size: var(--normal-font-size);
    font-weight: var(--font-medium);
    color: var(--dark-color);
    line-height: 1.6;
    background: #faf1d4;
}

h1,h2,h3,p,ul{
    margin: 0;
}

ul{
    padding: 0;
    list-style: none;
}

a{
    text-decoration: none;
    color: var(--dark-color);
}

img{
    max-width: 100%;
    height: auto;
    display: block
}

/* ======= Class CSS ========= */
.section{
    padding: 5rem 0 2rem;
}

.section-title{
    position: relative;
    font-size: var(--big-font-size);
    margin-bottom: var(--mb-4);
    text-align: center;
    letter-spacing: 0.1rem;
}

.section-title::after{
    content: '';
    position: absolute;
    width: 56px;
    height: 0.18rem;
    top: 2rem;
    left: 0;
    right: 0;
    margin: auto;
    background: var(--dark-color);
}

/* ======= Layout ========= */
.bd-grid{
    max-width: 1024px;
    display: grid;
    grid-template-columns: 100%;
    column-gap: 2rem;
    width: calc(100% - 2rem);
    margin-left: var(--mb-2);
    margin-right: var(--mb-2);
}

.l-header{
    width: 100%;
    position: fixed;
    top: 0;
    left: 0;
    z-index: var(--z-fixed);
    background: var(--dark-color-lighten);
}

.nav{
    height: var(--header-height);
    display: flex;
    justify-content: space-between;
    align-items: center;
}

@media screen and (max-width: 768px){
    .nav__menu{
        position: fixed;
        top: var(--header-height);
        left: -100%;
        width: 70%;
        height: 100vh;  
        padding: 2rem;
        background: var(--white-color);
        transition: 0.5s;
    }
}

.nav__item{
    margin-bottom: var(--mb-4);
}

.nav__toggle, .nav__shop{
    font-size: 1.3rem;
    cursor: pointer;
}

.nav__link:hover{
    color: #9c0d0d;
}

/* ======= show menu ========= */
.show{
    left: 0;
}


/* ======= Active Link ========= */
.active{
    position: relative;
}

.active::before{
    content: '';
    position: absolute;
    bottom: -0.3rem;
    left: 0;
    border-radius: 10px;
    width: 50px;
    height: 4px;
    background: var(--dark-color-light);
}


/* ======= Scroll header ========= */
.scroll-header{
    background: var(--white-color);
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}


/* ======= Home ========= */
.home{
    background: var(--dark-color-lighten);
    overflow: hidden;
}

.home__container{
    height: calc(100vh - var(--header-height));
}

.home__sneaker{
    position: relative;
    display: flex;
    justify-content: center;
    align-self: center;
}

.home__shape{
    width: 220px;
    height: 220px;
    background: var(--dark-color);
    border-radius: 50%;
}

.home__img{
    position: absolute;
    top: 1.5rem;
    max-width: initial;
    width: 300px;
    transform: var(--rotate-img);
	filter: drop-shadow(-5px 5px 15px #222);
    animation: nike 2s ease infinite;
}

@keyframes nike{
    50%{
        transform: rotate(-40deg);
    }
}

.home__new{
    display: block;
    font-size: var(--smaller-font-size);
    font-weight: bold;
    margin-bottom: var(--mb-2);
}

.home__title{
    font-size: var(--bigger-font-size);
    margin-bottom: var(--mb-1);
}

.home__description{
    margin-bottom: var(--mb-6);
}

/* ======= Buttons ========= */
.button{
    display: inline-block;
    background: var(--dark-color);
    color: var(--white-color);
    padding: 1rem 2rem;
    font-weight: var(--font-medium);
    border-radius: 0.5rem;
    transition: 0.3s;
}

.button:hover{
    transform: scale(1.05);
}

.button__light{
    display: inline-flex;
    font-weight: bold;
    color: var(--dark-color);
    align-items: center;
}

.button-icon{
    font-size: 1.25rem;
    margin-left: var(--mb-1);
    transition: 0.3s;
}

.button__light:hover .button-icon{
    transform: translateX(0.25rem);
}

/* ======= Man container ========= */
.man__container{
    row-gap: 2rem;
    grid-template-columns: repeat( auto-fit, minmax(220px, 1fr) );
}

.sneaker{
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 1rem;
    background: var(--dark-color-lighten);
    border-radius: 0.5rem;
    transition: 0.3s;
}

.sneaker__sale{
    position: absolute;
    left: 0.5rem;
    top: 0.8rem;
    background-color: var(--dark-color);
    color: var(--white-color);
    padding: 0.25rem 0.8rem;
    font-size: 20px;
    border-radius: 0.5rem;
    letter-spacing: 0.1rem;
}

.sneaker__img{
    width: 260px;
    margin-top: var(--mb-3);
    margin-bottom: var(--mb-6);
    transform: var(--rotate-img);
	filter: drop-shadow(-5px 5px 15px #222);
}

.sneaker__name, .sneaker__preci{
    font-size: var(--h2-font-size);
    letter-spacing: 0.1rem;
    font-weight: var(--font-bold);
}

.sneaker__name{
    margin-bottom: var(--mb-1);
}

.sneaker__preci{
    margin-bottom: var(--mb-4);
}

.sneaker:hover{
    transform: translateY(-0.6rem);
}

/* ======= COLLECTION ========= */
.collection__container{
    row-gap: 2rem;
    justify-content: center;
}

.collection__card{
    position: relative;
    display: flex;
    height: 298px;
    background: var(--dark-color-lighten);
    padding: 2rem;
    border-radius: 0.5rem;
    transition: 0.3s;
}

.collection__data{
    align-self: flex-end;
}

.collection__img{
    position: absolute;
    top: 0.5rem;
    right: 0.5rem;
    width: 220px;
}

.collection__name{
    font-size: var(--bigger-font-size);
    margin-bottom: 0.25rem;
}

.collection__description{
    margin-bottom: var(--mb-2);
}

.collection__card:hover{
    transform: translateY(-0.5rem);
}

/* ======= Women ========= */
.women__container{
    row-gap: 2rem;
    grid-template-columns: repeat(auto-fit, minmax(220px, 1fr));
}

/* ======= OFFER ========= */
.offer__container{
    grid-template-columns: 55% 45%;
    column-gap: 0;
    background: var(--dark-color-lighten);
    border-radius: 0.5rem;
    justify-content: center;
}

.offer__date{
    padding: 4rem 0 4rem 1.5rem;
}

.offer__title{
    font-size: var(--bigger-font-size);
    margin-bottom: 0.25rem;
}

.offer__description{
    margin-bottom: var(--mb-4);
}

.offer__img{
    width: 300px;
    transform: rotate(10deg);
    margin-top: 10%;
	filter: drop-shadow(5px 10px 15px #222);
}

/* ======= New Collection ========= */
.new__container{
    row-gap: 2rem;
}

.new__mens{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background: var(--dark-color-lighten);
    border-radius: 0.5rem;
    padding: 2rem;
}

.new__mens-img{
    width: 162px;
    margin-bottom: var(--mb-3);
    display: inline-block;
}

.second{
    margin-left: 30px;
}

.new__title{
    font-size: var(--bigger-font-size);
    margin-bottom: 0.25rem;
}

.new__preci{
    display: block;
    margin-bottom: var(--mb-3);
}

.new__sneaker{
    display: grid;
    gap: 1.5rem;
    grid-template-columns: repeat(auto-fit, minmax(220px, 1fr));
}

.new__sneaker-card{
    position: relative;
    padding: 3.5rem 1.5rem;
    background: var(--dark-color-lighten);
    border-radius: 0.5rem;
    overflow: hidden;
    display: flex;
    justify-content: center;
}

.new__sneaker-img{
    width: 220px;
}

.new__sneaker-overlay{
    position: absolute;
    left: 0;
    bottom: -100%;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    background: rgba(138, 138, 138, 0.3);
    transition: 0.3s;
}

.new__sneaker-card:hover .new__sneaker-overlay{
    bottom: 0;
}

/* ======= Newsletter ========= */
.newsletter__container{
    background: var(--dark-color);
    color: var(--white-color);
    padding: 2rem 0.5rem;
    border-radius: 0.5rem;
    text-align: center;
}

.newsletter__title{
    font-size: var(--bigger-font-size);
    margin-bottom: var(--mb-2);
}

.newsletter__description{
    margin-bottom: var(--mb-5);
}

.newsletter__subscribe{
    display: flex;
    column-gap: 0.5rem;
    background: var(--white-color);
    padding: 0.5rem;
    border-radius: 0.5rem;
}

.newsletter__input{
    outline: none;
    border: none;
    width: 90%;
    font-size: var(--normal-font-size);
}

.newsletter__input::placeholder{
    color: var(--dark-color);
    font-family: Arial, Helvetica, sans-serif;
    font-size: var(--normal-font-size);
    font-weight: var(--font-bolder);
}

/* ======= Footer CSS ========= */
.footer__container{
    grid-template-columns: repeat(auto-fit, minmax(220px, 1fr));
}

.footer__box{
    margin-bottom: var(--mb-4);
}

.footer__title{
    font-size: var(--big-font-size);
}

.footer__link{
    display: block;
    width: max-content;
    margin-bottom: var(--mb-1);
}

.footer__social{
    font-size: 1.5rem;
    margin-right: 1.25rem;
}

.footer__copy{
    font-size: var(--smaller-font-size);
    padding-top: 3rem;
    color: var(--dark-color-light);
    text-align: center;
}

/* ======= THE LAAAAAAAAAAAAAAAAAAAST ========= */
@media screen and (min-width: 576px){
    .collection__container{
        grid-template-columns: 515px;
        margin-bottom: 0;
    }

    .collection__img{
        width: 260px;
    }

    .offer__container{
        grid-template-columns: max-content max-content;
    }

    .offer__date{
        text-align: center;
    }

    .new__mens{
        align-items: center;
    }

    .offer__img{
        width: 270px;
        margin-left: 50px;
    }
}

@media screen and (min-width: 768px){
    body{
        margin: 0;
    }

    .offer__img{
        width: 2800px;
        margin-left: 50px;
    }

    .section{
        padding: 7rem 0 3rem;
    }

    .section-title::after{
        width: 96px;
        margin-top: 10px;
    }

    .nav{
        height: calc( var(--header-height) + 1.5rem );
    }

    .nav__menu{
        margin-left: auto;
    }

    .nav__list{
        display: flex;
    }

    .nav__item{
        margin-left: var(--mb-6);
        margin-bottom: 0;
    }

    .nav__toggle{
        display: none;
    }

    .home__container{
        height: 100vh;
        grid-template-columns: max-content max-content;
        justify-content: center;
        align-items: center;
    }

    .home__sneaker{
        order: 1;
    }

    .home__shape{
        width: 316px;
        height: 316px;
    }

    .home__img{
        width: 410px;
        top: 3.5rem;
        right: 0;
        left: -3rem;
    }

    .sneaker{
        text-align: center;
    }

    .newsletter__container{
        grid-template-columns: max-content max-content;
        justify-content: center;
        align-items: center;
        padding: 4.5rem 2rem;
        column-gap: 3rem;
    }

    .newsletter__description{
        margin-bottom: 0;
    }

    .newsletter__subscribe{
        width: 260px;
        height: max-content;
    }
}

@media screen and (min-width: 1024px){
    .bd-grid{
        margin-left: auto;
        margin-right: auto;
    }

    .home__container{
        column-gap: 8rem;
    }

    .collection__container{
        grid-template-columns: repeat(2, 415px);
    }

    .new__container{
        grid-template-columns: max-content 1fr;
    }

    .new__mens{
        align-items: center;
        justify-content: flex-end;
        padding: 4rem 2rem;
    }

    .new__mens-img{
        margin-bottom: var(--mb-6);
    }

    .home__img{
        width: 500px;
    }

    .home__shape{
        width: 376px;
        height: 376px;
    }

    .newsletter__subscribe{
        width: 360px;
        height: max-content;
    }

    
    .offer__img{
        width: 300px;
        margin-left: 50px;
    }
}